> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contact growth

> Get new and unsubscribed contact counts over time with running total.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/analytics/contacts/growth
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/analytics/contacts/growth:
    get:
      tags:
        - Analytics and logs
      summary: Get contact growth
      description: Get new and unsubscribed contact counts over time with running total.
      parameters:
        - schema:
            type: string
          required: true
          name: org_id
          in: path
        - schema:
            type:
              - string
              - 'null'
            format: date-time
            title: From
            description: Start of the range (ISO 8601 date). Omit for all time.
          required: false
          description: Start of the range (ISO 8601 date). Omit for all time.
          name: from_date
          in: query
        - schema:
            type:
              - string
              - 'null'
            format: date-time
            title: To
            description: End of the range (ISO 8601 date). Omit for up to now.
          required: false
          description: End of the range (ISO 8601 date). Omit for up to now.
          name: to_date
          in: query
        - schema:
            type: string
            enum:
              - day
              - week
              - month
            default: day
            options:
              day:
                label: Day
              week:
                label: Week
              month:
                label: Month
            title: Interval
            description: Bucket size for the series. Defaults to day.
          required: false
          description: Bucket size for the series. Defaults to day.
          name: interval
          in: query
        - schema:
            type: string
            description: IANA timezone identifier (e.g. America/New_York)
          required: false
          description: IANA timezone identifier (e.g. America/New_York)
          name: timezone
          in: query
        - schema:
            type: number
          required: false
          description: Page number
          name: page
          in: query
        - schema:
            type: number
          required: false
          description: Number of items to take
          name: take
          in: query
        - schema:
            type: string
          required: false
          description: Next page token (Only used on special endpoints)
          name: next
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactGrowthItemSchema'
components:
  schemas:
    ContactGrowthItemSchema:
      type: object
      properties:
        date:
          type: string
        new:
          type: number
        unsubscribed:
          type: number
        blocked:
          type: number
        total:
          type: number
      required:
        - date
        - new
        - unsubscribed
        - blocked
        - total
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````